package com.qmth.qrzk.repository.user.model;

import java.util.Date;

import com.qmth.qrzk.repository.utils.DateHelper;

public class OperLog {

	private Integer id;
	private Integer objId;
	private String objType;
	private String operCode;
	private String remark;
    private Date createdTime;  				//创建日期
    private Integer createdBy;				//创建人
    private String createdByName;			//创建人名称
	private String guid;
	
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
    
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getObjId() {
		return objId;
	}
	public void setObjId(Integer objId) {
		this.objId = objId;
	}
	public String getObjType() {
		return objType;
	}
	public void setObjType(String objType) {
		this.objType = objType;
	}
	public String getOperCode() {
		return operCode;
	}
	public void setOperCode(String operCode) {
		this.operCode = operCode;
	}
	public String getRemark() {
		if(remark == null){
			remark = "";
		}
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Date getCreatedTime() {
		return createdTime;
	}
    public String getCreatedTimeStr(){
    	return DateHelper.formatDate(createdTime);
    }
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	public Integer getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}
	public String getCreatedByName() {
		return createdByName;
	}
	public void setCreatedByName(String createdByName) {
		this.createdByName = createdByName;
	}
    
}
